Intermittent devtools/client/inspector/test/browser_inspector_highlighter-07.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_highlighter-07.js:34 - TypeError: panel is undefined

RESOLVED FIXED in Firefox 67

Status

defect
P5
normal
RESOLVED FIXED
6 months ago
2 months ago

People

(Reporter: intermittent-bug-filer, Assigned: bdahl)

Tracking

({intermittent-failure})

unspecified
Firefox 68

Firefox Tracking Flags

(firefox67 fixed, firefox68 fixed)

Details

(Whiteboard: [stockwell disable-recommended])

Attachments

(1 attachment)

Reporter

Description

6 months ago
treeherder
Filed by: aciure [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=220208719&repo=mozilla-central

https://queue.taskcluster.net/v1/task/av-F8gsdRBmGGky2XkhLvg/runs/0/artifacts/public/logs/live_backing.log

[task 2019-01-06T10:52:59.556Z] 10:52:59     INFO - TEST-START | devtools/client/inspector/test/browser_inspector_highlighter-07.js
[task 2019-01-06T10:53:03.256Z] 10:53:03     INFO - TEST-INFO | started process screentopng
[task 2019-01-06T10:53:03.769Z] 10:53:03     INFO - TEST-INFO | screentopng: exit 0
[task 2019-01-06T10:53:03.771Z] 10:53:03     INFO - Buffered messages logged at 10:52:59
[task 2019-01-06T10:53:03.771Z] 10:53:03     INFO - Entering test bound 
[task 2019-01-06T10:53:03.772Z] 10:53:03     INFO - Adding a new tab with URL: data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>
[task 2019-01-06T10:53:03.772Z] 10:53:03     INFO - Buffered messages logged at 10:53:00
[task 2019-01-06T10:53:03.773Z] 10:53:03     INFO - Tab added and finished loading
[task 2019-01-06T10:53:03.777Z] 10:53:03     INFO - Opening the inspector
[task 2019-01-06T10:53:03.779Z] 10:53:03     INFO - Opening the toolbox
[task 2019-01-06T10:53:03.784Z] 10:53:03     INFO - Buffered messages logged at 10:53:02
[task 2019-01-06T10:53:03.788Z] 10:53:03     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-01-06T10:53:03.791Z] 10:53:03     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-01-06T10:53:03.792Z] 10:53:03     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-01-06T10:53:03.798Z] 10:53:03     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-01-06T10:53:03.803Z] 10:53:03     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-01-06T10:53:03.810Z] 10:53:03     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: version." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-01-06T10:53:03.811Z] 10:53:03     INFO - Buffered messages logged at 10:53:03
[task 2019-01-06T10:53:03.813Z] 10:53:03     INFO - must wait for focus
[task 2019-01-06T10:53:03.816Z] 10:53:03     INFO - Toolbox opened and focused
[task 2019-01-06T10:53:03.818Z] 10:53:03     INFO - Buffered messages finished
[task 2019-01-06T10:53:03.820Z] 10:53:03     INFO - TEST-UNEXPECTED-FAIL | devtools/client/inspector/test/browser_inspector_highlighter-07.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_highlighter-07.js:34 - TypeError: panel is undefined
[task 2019-01-06T10:53:03.824Z] 10:53:03     INFO - Stack trace:
[task 2019-01-06T10:53:03.825Z] 10:53:03     INFO - createDebuggerContext@chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_highlighter-07.js:34:9
[task 2019-01-06T10:53:03.828Z] 10:53:03     INFO - @chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_highlighter-07.js:79:15
[task 2019-01-06T10:53:03.829Z] 10:53:03     INFO - Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:1106:34
[task 2019-01-06T10:53:03.830Z] 10:53:03     INFO - async*Tester_execTest@chrome://mochikit/content/browser-test.js:1097:16
[task 2019-01-06T10:53:03.831Z] 10:53:03     INFO - nextTest/<@chrome://mochikit/content/browser-test.js:995:9
[task 2019-01-06T10:53:03.832Z] 10:53:03     INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59
[task 2019-01-06T10:53:03.846Z] 10:53:03     INFO - Leaving test bound 
[task 2019-01-06T10:53:03.848Z] 10:53:03     INFO - Removing tab.
[task 2019-01-06T10:53:03.849Z] 10:53:03     INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-01-06T10:53:03.852Z] 10:53:03     INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-01-06T10:53:03.854Z] 10:53:03     INFO - Tab removed and finished closing
[task 2019-01-06T10:53:03.856Z] 10:53:03     INFO - GECKO(2389) | MEMORY STAT vsizeMaxContiguous not supported in this build configuration.
[task 2019-01-06T10:53:03.858Z] 10:53:03     INFO - GECKO(2389) | MEMORY STAT | vsize 1791MB | residentFast 358MB | heapAllocated 139MB
[task 2019-01-06T10:53:03.868Z] 10:53:03     INFO - TEST-OK | devtools/client/inspector/test/browser_inspector_highlighter-07.js | took 4131ms
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Status: NEW → RESOLVED
Closed: 4 months ago
Resolution: --- → INCOMPLETE

Recent log failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=233533595&repo=autoland&lineNumber=3925

[task 2019-03-13T02:02:08.273Z] 02:02:08 INFO - TEST-START | devtools/client/inspector/test/browser_inspector_highlighter-07.js
[task 2019-03-13T02:02:09.346Z] 02:02:09 INFO - GECKO(3560) | [ACTION] SET_WORKERS - {"type":"SET_WORKERS","workers":[],"mainThread":"server1.conn24.child1/context22"}
[task 2019-03-13T02:02:09.351Z] 02:02:09 INFO - GECKO(3560) | [ACTION] CONNECT - {"type":"CONNECT","mainThread":{"url":"data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","actor":"server1.conn24.child1/context22","type":-1},"canRewind":false}
[task 2019-03-13T02:02:09.359Z] 02:02:09 INFO - GECKO(3560) | [ACTION] ADD_SOURCES - {"type":"ADD_SOURCES","sources":[{"id":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","url":"","relativeUrl":"data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","isPrettyPrinted":false,"sourceMapURL":null,"introductionUrl":null,"isBlackBoxed":false,"loadedState":"unloaded","isWasm":false,"isExtension":false,"actors":[{"actor":"server1.conn24.child1/source27","source":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","thread":"server1.conn24.child1/context22"}]},{"id":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","url":"","relativeUrl":"data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","isPrettyPrinted":false,"sourceMapURL":null,"introductionUrl":null,"isBlackBoxed":false,"loadedState":"unloaded","isWasm":false,"isExtension":false,"actors":[{"actor":"server1.conn24.child1/source40","source":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","thread":"server1.conn24.child1/context22"}]},{"id":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","url":"","relativeUrl":"data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","isPrettyPrinted":false,"sourceMapURL":null,"introductionUrl":null,"isBlackBoxed":false,"loadedState":"unloaded","isWasm":false,"isExtension":false,"actors":[{"actor":"server1.conn24.child1/source41","source":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","thread":"server1.conn24.child1/context22"}]}]}
[task 2019-03-13T02:02:09.376Z] 02:02:09 INFO - GECKO(3560) | [ACTION] PAUSE_ON_EXCEPTIONS [start] - {"type":"PAUSE_ON_EXCEPTIONS","shouldPauseOnExceptions":false,"shouldPauseOnCaughtExceptions":true,"seqId":"1","status":"start"}
[task 2019-03-13T02:02:09.414Z] 02:02:09 INFO - GECKO(3560) | [ACTION] PAUSED - {"type":"PAUSED","thread":"server1.conn24.child1/context22","why":{"type":"debuggerStatement"},"frames":[{"id":"server1.conn24.child1/frame29","location":{"sourceId":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","line":1,"column":0},"displayName":"(global)"}],"selectedFrameId":"server1.conn24.child1/frame29","loadedObjects":[],"pauseInfo":{"why":{"type":"debuggerStatement"}},"scopes":[]}
[task 2019-03-13T02:02:09.415Z] 02:02:09 INFO - GECKO(3560) | [ACTION] MAP_FRAMES - {}
[task 2019-03-13T02:02:09.417Z] 02:02:09 INFO - GECKO(3560) | [ACTION] ADD_TAB - {"type":"ADD_TAB","url":"data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","isOriginal":false,"sourceId":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>"}
[task 2019-03-13T02:02:09.421Z] 02:02:09 INFO - GECKO(3560) | [ACTION] SET_SELECTED_LOCATION - {"type":"SET_SELECTED_LOCATION","source":{"id":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","url":"data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","relativeUrl":"data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","isPrettyPrinted":false,"sourceMapURL":null,"introductionUrl":null,"isBlackBoxed":false,"loadedState":"unloaded","isWasm":false,"isExtension":false,"actors":[{"actor":"server1.conn24.child1/source27","source":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","thread":"server1.conn24.child1/context22"},{"actor":"server1.conn24.child1/source40","source":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","thread":"server1.conn24.child1/context22"},{"actor":"server1.conn24.child1/source41","source":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","thread":"server1.conn24.child1/context22"}]},"location":{"sourceId":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","line":1,"column":0}}
[task 2019-03-13T02:02:09.437Z] 02:02:09 INFO - GECKO(3560) | [ACTION] LOAD_SOURCE_TEXT [start] - {"type":"LOAD_SOURCE_TEXT","sourceId":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","seqId":"2","status":"start"}
[task 2019-03-13T02:02:09.458Z] 02:02:09 INFO - TEST-INFO | started process screentopng
[task 2019-03-13T02:02:10.009Z] 02:02:10 INFO - TEST-INFO | screentopng: exit 0
[task 2019-03-13T02:02:10.010Z] 02:02:10 INFO - Buffered messages logged at 02:02:08
[task 2019-03-13T02:02:10.011Z] 02:02:10 INFO - Entering test bound
[task 2019-03-13T02:02:10.012Z] 02:02:10 INFO - Adding a new tab with URL: data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>
[task 2019-03-13T02:02:10.014Z] 02:02:10 INFO - Tab added and finished loading
[task 2019-03-13T02:02:10.015Z] 02:02:10 INFO - Opening the inspector
[task 2019-03-13T02:02:10.016Z] 02:02:10 INFO - Opening the toolbox
[task 2019-03-13T02:02:10.017Z] 02:02:10 INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-03-13T02:02:10.018Z] 02:02:10 INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-03-13T02:02:10.019Z] 02:02:10 INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-03-13T02:02:10.020Z] 02:02:10 INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/client/shared/vendor/react-dom.js" line: 5811}]
[task 2019-03-13T02:02:10.021Z] 02:02:10 INFO - Buffered messages logged at 02:02:09
[task 2019-03-13T02:02:10.022Z] 02:02:10 INFO - must wait for focus
[task 2019-03-13T02:02:10.023Z] 02:02:10 INFO - Toolbox opened and focused
[task 2019-03-13T02:02:10.024Z] 02:02:10 INFO - Buffered messages finished
[task 2019-03-13T02:02:10.025Z] 02:02:10 INFO - TEST-UNEXPECTED-FAIL | devtools/client/inspector/test/browser_inspector_highlighter-07.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_highlighter-07.js:34 - TypeError: panel is undefined
[task 2019-03-13T02:02:10.025Z] 02:02:10 INFO - Stack trace:
[task 2019-03-13T02:02:10.027Z] 02:02:10 INFO - createDebuggerContext@chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_highlighter-07.js:34:15
[task 2019-03-13T02:02:10.028Z] 02:02:10 INFO - @chrome://mochitests/content/browser/devtools/client/inspector/test/browser_inspector_highlighter-07.js:79:15
[task 2019-03-13T02:02:10.028Z] 02:02:10 INFO - AsyncTester_execTest/<@chrome://mochikit/content/browser-test.js:1106:34
[task 2019-03-13T02:02:10.031Z] 02:02:10 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:1134:12
[task 2019-03-13T02:02:10.031Z] 02:02:10 INFO - nextTest/<@chrome://mochikit/content/browser-test.js:995:14
[task 2019-03-13T02:02:10.032Z] 02:02:10 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:803:59
[task 2019-03-13T02:02:10.032Z] 02:02:10 INFO - Leaving test bound
[task 2019-03-13T02:02:10.034Z] 02:02:10 INFO - GECKO(3560) | [ACTION] PAUSE_ON_EXCEPTIONS [done] - {"type":"PAUSE_ON_EXCEPTIONS","shouldPauseOnExceptions":false,"shouldPauseOnCaughtExceptions":true,"seqId":"1","status":"done"}
[task 2019-03-13T02:02:10.034Z] 02:02:10 INFO - GECKO(3560) | [ACTION] SET_EXPANDED_STATE - {"type":"SET_EXPANDED_STATE","thread":"server1.conn24.child1/context22","expanded":{}}
[task 2019-03-13T02:02:10.035Z] 02:02:10 INFO - GECKO(3560) | [ACTION] SET_ORIENTATION - {"type":"SET_ORIENTATION","orientation":"horizontal"}
[task 2019-03-13T02:02:10.036Z] 02:02:10 INFO - Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/NetUtil.jsm" line: 245}]
[task 2019-03-13T02:02:10.037Z] 02:02:10 INFO - GECKO(3560) | [ACTION] LOAD_SOURCE_TEXT [done] - {"type":"LOAD_SOURCE_TEXT","sourceId":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","seqId":"2","status":"done","value":{"id":"sourceURL-data:text/html;charset=utf-8,<style>iframe {height:200px;border: 11px solid black;padding: 13px;}body,iframe {margin:0}</style><body><script>setInterval('debugger', 100)</script><iframe src='data:text/html;charset=utf-8,<style>body {margin:0;height:100%;background-color:red}</style><body>hello from iframe</body>'></iframe></body>","text":"","contentType":"text/html"}}
[task 2019-03-13T02:02:10.038Z] 02:02:10 INFO - GECKO(3560) | console.warn: "Error while detaching the thread front: 'detach' request packet to 'server1.conn24.child1/context22' can't be sent as the connection is closed."
[task 2019-03-13T02:02:10.200Z] 02:02:10 INFO - Removing tab.
[task 2019-03-13T02:02:10.202Z] 02:02:10 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-03-13T02:02:10.220Z] 02:02:10 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-03-13T02:02:10.228Z] 02:02:10 INFO - Tab removed and finished closing
[task 2019-03-13T02:02:10.250Z] 02:02:10 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-03-13T02:02:10.251Z] 02:02:10 INFO - TEST-UNEXPECTED-FAIL | devtools/client/inspector/test/browser_inspector_highlighter-07.js | A promise chain failed to handle a rejection: 'getBreakpointPositionsCompressed' active request packet to 'server1.conn24.child1/source27' can't be sent as the connection just closed. - stack: paused/<@resource://devtools/client/debugger/new/src/actions/pause/paused.js:65:13
[task 2019-03-13T02:02:10.251Z] 02:02:10 INFO - async
thunk/</</<@resource://devtools/client/debugger/new/src/actions/utils/middleware/thunk.js:21:45
[task 2019-03-13T02:02:10.252Z] 02:02:10 INFO - bindActionCreator/<@resource://devtools/client/shared/vendor/redux.js:644:12
[task 2019-03-13T02:02:10.253Z] 02:02:10 INFO - paused@resource://devtools/client/debugger/new/src/client/firefox/events.js:68:13
[task 2019-03-13T02:02:10.254Z] 02:02:10 INFO - asynconConnect@resource://devtools/client/debugger/new/src/client/firefox.js:70:26
[task 2019-03-13T02:02:10.254Z] 02:02:10 INFO - async
onConnect@resource://devtools/client/debugger/new/src/client/index.js:89:16
[task 2019-03-13T02:02:10.255Z] 02:02:10 INFO - async*bootstrap@resource://devtools/client/debugger/new/src/main.js:33:31
[task 2019-03-13T02:02:10.255Z] 02:02:10 INFO - open@resource://devtools/client/debugger/new/panel.js:32:38
[task 2019-03-13T02:02:10.256Z] 02:02:10 INFO - onLoad@resource://devtools/client/framework/toolbox.js:1876:27
[task 2019-03-13T02:02:10.256Z] 02:02:10 INFO - Rejection date: Wed Mar 13 2019 02:02:10 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2019-03-13T02:02:10.256Z] 02:02:10 INFO - Stack trace:
[task 2019-03-13T02:02:10.256Z] 02:02:10 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2019-03-13T02:02:10.256Z] 02:02:10 INFO - chrome://mochikit/content/browser-test.js:nextTest:745
[task 2019-03-13T02:02:10.256Z] 02:02:10 INFO - chrome://mochikit/content/browser-test.js:testScope/test_finish/<:1407
[task 2019-03-13T02:02:10.256Z] 02:02:10 INFO - chrome://mochikit/content/browser-test.js:run:1344
[task 2019-03-13T02:02:10.265Z] 02:02:10 INFO - GECKO(3560) | MEMORY STAT | vsize 2094MB | residentFast 379MB | heapAllocated 128MB
[task 2019-03-13T02:02:10.266Z] 02:02:10 INFO - TEST-OK | devtools/client/inspector/test/browser_inspector_highlighter-07.js | took 2001ms
[task 2019-03-13T02:02:10.303Z] 02:02:10 INFO - checking window state
[task 2019-03-13T02:02:10.311Z] 02:02:10 INFO - TEST-START | devtools/client/inspector/test/browser_inspector_highlighter-by-type.js
[task 2019-03-13T02:02:10.897Z] 02:02:10 INFO - GECKO(3560) | console.log: "[DISPATCH] action type:" "UPDATE_GRIDS"
[task 2019-03-13T02:02:10.913Z] 02:02:10 INFO - GECKO(3560) | console.log: "[DISPATCH] action type:" "CLEAR_FLEXBOX"
[task 2019-03-13T02:02:10.978Z] 02:02:10 INFO - GECKO(3560) | console.log: "[DISPATCH] action type:" "UPDATE_OFFSET_PARENT"
[task 2019-03-13T02:02:10.999Z] 02:02:10 INFO - GECKO(3560) | console.log: "[DISPATCH] action type:" "UPDATE_LAYOUT"
[task 2019-03-13T02:02:11.019Z] 02:02:11 INFO - GECKO(3560) | console.log: "[DISPATCH] action type:" "UPDATE_OFFSET_PARENT"
[task 2019-03-13T02:02:11.035Z] 02:02:11 INFO - GECKO(3560) | console.log: "[DISPATCH] action type:" "UPDATE_LAYOUT"
[task 2019-03-13T02:02:11.192Z] 02:02:11 INFO - GECKO(3560) | console.warn: "Error while detaching the thread front: 'detach' request packet to 'server1.conn25.child1/context22' can't be sent as the connection is closed."
[task 2019-03-13T02:02:11.432Z] 02:02:11 INFO - GECKO(3560) | MEMORY STAT | vsize 2098MB | residentFas

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Assignee

Comment 13

2 months ago

Wait for devtools panel to be ready before attempting to use it.

Assignee

Updated

2 months ago
Assignee: nobody → bdahl
Assignee

Comment 14

2 months ago

Btw, there looks to be a lot of code that uses a similar method and there appears to be some other intermittents similar to this. Who on devtools would be good to look into this?

Flags: needinfo?(bgrinstead)

(In reply to Brendan Dahl [:bdahl] from comment #14)

Btw, there looks to be a lot of code that uses a similar method and there appears to be some other intermittents similar to this. Who on devtools would be good to look into this?

Flagged Julian on phab with some more details. Perhaps he could help or redirect to someone appropriate.

Flags: needinfo?(bgrinstead) → needinfo?(jdescottes)

Comment 16

2 months ago
Pushed by bdahl@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/6922b4c2b5c5
Fix intermittent devotools test. r=bgrins

Comment 17

2 months ago
bugherder
Status: REOPENED → RESOLVED
Closed: 4 months ago2 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 68
Comment hidden (Intermittent Failures Robot)
See Also: → 1543907
See Also: → 1544081
Flags: needinfo?(jdescottes)
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.